GCLOUD_COMPUTE_NETWORKS_SUBNETS_UPDATE(1)

NAME

gcloud compute networks subnets update - updates properties of an existing Google Compute Engine subnetwork

SYNOPSIS

gcloud compute networks subnets update NAME [--enable-private-ip-google-access] [--region=REGION] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
Updates properties of an existing Google Compute Engine subnetwork.

POSITIONAL ARGUMENTS

    NAME
        The name of the subnetwork to update.

FLAGS

    --enable-private-ip-google-access
        Enable/disable access to Google Cloud APIs from this subnet for instances without a public ip address.

    --region=REGION
        The region of the subnetwork to update. If not specified, you will be prompted to select a region. To avoid prompting when this flag is omitted, you can set the compute/region property:
        $ gcloud config set compute/region REGION
    A list of regions can be fetched by running:
        $ gcloud compute regions list
    To unset the property, run:
        $ gcloud config unset compute/region
    Alternatively, the region can be stored in the environment variable CLOUDSDK_COMPUTE_REGION.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.